Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPStructuredGridWriter Class Reference

`#include <vtkXMLPStructuredGridWriter.h>`

Inheritance diagram for vtkXMLPStructuredGridWriter:

[legend]
Collaboration diagram for vtkXMLPStructuredGridWriter:

[legend]
List of all members.

## Detailed Description

Write PVTK XML StructuredGrid files.

Date:
  2002/11/22 20:48:59

Revision:
  1.2

vtkXMLPStructuredGridWriter writes the PVTK XML StructuredGrid file format. One structured grid input can be written into a parallel file format with any number of pieces spread across files. The standard extension for this writer's file format is "pvts". This writer uses vtkXMLStructuredGridWriter to write the individual piece files.

See also:
  vtkXMLStructuredGridWriter

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLPStructuredGridWriter.cxx)`
  - .`h` (`/IO/vtkXMLPStructuredGridWriter.h)`

Definition at line 50 of file vtkXMLPStructuredGridWriter.h.

## Public Types
typedef vtkXMLPStructuredDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkStructuredGrid *input)
vtkStructuredGrid * | GetInput ()
## Static Public Methods
vtkXMLPStructuredGridWriter * | New ()
int | IsTypeOf (const char *type)
vtkXMLPStructuredGridWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLPStructuredGridWriter ()
| ~vtkXMLPStructuredGridWriter ()
const char * | GetDataSetName ()
const char * | GetDefaultFileExtension ()
vtkXMLStructuredDataWriter * | CreateStructuredPieceWriter ()
void | WritePData (vtkIndent indent)

## Member Typedef Documentation

typedef vtkXMLPStructuredDataWriter vtkXMLPStructuredGridWriter::Superclass

| Reimplemented from vtkXMLPStructuredDataWriter. Definition at line 54 of file vtkXMLPStructuredGridWriter.h.

## Constructor & Destructor Documentation

vtkXMLPStructuredGridWriter::vtkXMLPStructuredGridWriter | ( |  | ) | `[protected]`

vtkXMLPStructuredGridWriter::~vtkXMLPStructuredGridWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkXMLPStructuredGridWriter* vtkXMLPStructuredGridWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkXMLPStructuredGridWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPStructuredDataWriter.

int vtkXMLPStructuredGridWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataWriter.

virtual int vtkXMLPStructuredGridWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataWriter.

vtkXMLPStructuredGridWriter* vtkXMLPStructuredGridWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPStructuredDataWriter.

void vtkXMLPStructuredGridWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPStructuredDataWriter.

void vtkXMLPStructuredGridWriter::SetInput | ( | vtkStructuredGrid * | input | ) |

| Get/Set the writer's input.

vtkStructuredGrid* vtkXMLPStructuredGridWriter::GetInput | ( |  | ) |

| Get/Set the writer's input.

const char* vtkXMLPStructuredGridWriter::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

const char* vtkXMLPStructuredGridWriter::GetDefaultFileExtension | ( |  | ) | `[protected, virtual]`

| Get the default file extension for files written by this writer. Implements vtkXMLWriter.

vtkXMLStructuredDataWriter* vtkXMLPStructuredGridWriter::CreateStructuredPieceWriter | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPStructuredDataWriter.

void vtkXMLPStructuredGridWriter::WritePData | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataWriter.

The documentation for this class was generated from the following file:

- IO/vtkXMLPStructuredGridWriter.h